/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

CKEDITOR.dialog.add('videoembedDialog', (editor) => {
	return {
		contents: [
			{
				elements: [
					{
						id: 'url_video',
						label: Liferay.Language.get('video'),
						type: 'text',
						validate: CKEDITOR.dialog.validate.notEmpty(
							Liferay.Language.get('video-field-cannot-be-empty')
						),
					},
				],
				id: 'info',
			},
		],

		minHeight: 200,
		minWidth: 400,

		onOk() {
			const data = {
				type: 'video',
				url: this.getValueOf('info', 'url_video'),
			};

			editor.plugins.videoembed.onOkVideo(editor, data);
		},

		title: Liferay.Language.get('video-properties'),
	};
});
