/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import CKEditor from 'ckeditor4-react';
import React, {useEffect} from 'react';

const BASEPATH = '/o/frontend-editor-ckeditor-web/ckeditor/';

const Editor = React.forwardRef((props, ref) => {
	useEffect(() => {
		Liferay.once('beforeScreenFlip', () => {
			if (
				window.CKEDITOR &&
				Object.keys(window.CKEDITOR.instances).length === 0
			) {
				delete window.CKEDITOR;
			}
		});
	}, []);

	return <CKEditor ref={ref} {...props} />;
});

CKEditor.editorUrl = `${BASEPATH}ckeditor.js`;
window.CKEDITOR_BASEPATH = BASEPATH;

export {Editor};
